      PROGRAM INPROD
C Ypologizei to eswteriko givomevo duo diavusmatwv tou R^3
      REAL A(3),B(3)
      INTEGER I
      REAL ES_GIN
      WRITE(*,*)'Dwse to prwto diavusma (eva stoixeio ava grammn) '
      DO 10 I = 1,3
        READ(*,*) A(I)
   10 CONTINUE
      WRITE(*,*)'Dwse to deutero diavusma (eva stoixeio ava grammn)'
      DO 20 I = 1,3
        READ(*,*) B(I)
   20 CONTINUE     
      ES_GIN = 0.0
      DO 30 I = 1,3
        ES_GIN = ES_GIN + A(I)*B(I)
   30 CONTINUE
      WRITE(*,*) ' A = (',(A(I), I = 1,3),')'   
      WRITE(*,*) ' B = (',(B(I), I = 1,3),')' 
      WRITE(*,*)
      WRITE(*,*) ' ESWT. GINOMENO:',ES_GIN
      STOP
      END
